# PlayerWarps by Olzie-12
# https://www.spigotmc.org/resources/115286/
# We also have a discord server for help: https://olziedev.com/discord or check docs https://docs.olziedev.com/projects/playerwarps
# Also if you find any bugs be happy to report them I will fix them :)
# Made with love

# If you want to disable any message just set it to nothing. by doing
# list: "" <- This will no longer send a message.


# every singe message in the plugin is here.
# make sure you use '' to end of every string
# Also you can use colour codes <3

# To use hex color codes you will need to do
# "{#HEX} text"

lang:
  console-name: "&dServer Warp"
  console-uuid: "f78a4d8d-d51b-4b39-98a3-230f2de0c670"
  cancel-chat-wait: "cancella"
  chat-wait-cancelled: "&cCancelled your request!"
  friendly-max-warps: "Unlimited"
  prefix: "&b&lWarp&7»"
  list: "%prefix% &bCurrent Warps &d(%page%&b/&d%pages%&b):&d\n* %list%\n%previous%      %next%"
  list-format: "[warp]"
  list-none: "&cNone"
  list-hover: "&bClick to teleport to &d[warp]"
  list-split: "\n* "
  list-previous: "←"
  list-previous-hover: "&bPrevious page"
  list-next: "→"
  list-next-hover: "&bNext page"
  placeholder-none: "&cNone"
  warp-removed: "%prefix% &aIl tuo warp è stato rimosso con successo!"
  teleported: "%prefix% &aTeletrasportato con successo in &d%warp%&a!"
  someone-teleported: "%prefix% &d%player%&a si è teletrasportato in &d%warp%&a!"
  warp-set-confirmation: "%prefix% &aL'impostazione del warp %name% ti costerà &d$%price%&a, esegui di nuovo il comando per confermare."
  warp-teleport-confirmation: "%prefix% &aIl teletrasporto a %warp% ti costerà $%price%, esegui di nuovo il comando per confermare."
  warp-remove-confirmation: "%prefix% &aSei sicuro di rimuovere il warp %warp%? Ripeti il comando per confermare."
  warp-set: "%prefix% &aImpostato con successo al giocatore il warp &d%name%&a!"
  reloaded: "%prefix% &aTutte le configurazioni ricaricate!"
  currency-taken: "%prefix% &a%price% sono stati prelevati dal tuo conto."
  teleporting-dont-move: "%prefix% &aTraletrasporto a &d%warp%&a tra &d%time%&a secondi"
  desc-set-success: "%prefix% &aImpostata con successo la descrizione: &d%desc%&a per il warp &d%warp%"
  desc-remove-success: "%prefix% &aDescrizione rimossa con successo dal warp &d%warp%"
  given-more-warps-success: "%prefix% &aDato con successo a &d%player%&a un extra di &d%extra%&a per un totale di &d%total%&a warps!"
  set-warp-icon: "%prefix% &aImpostato con successo nel warp &d%warp%'s&a l'icona &d%icon%&a!"
  removed-warp-icon: "%prefix% &aRimossa con successo l'icona del warp &d%warp%&a!"
  category-set: "%prefix% &aHai impostato con successo al warp &d%warp%&a la categoria &d%category%&a!"
  category-remove: "%prefix% &aRimosso con successo la categoria del warp &d%warp_display%&a!"
  rate-set: "%prefix% &aHai votato con successo il warp &d%warp% %rate%&a!"
  rate-set-desc: "%prefix% &aYou have successfully rated a &d%rate%&a (&d%description%&a) for &d%warp_display%&a!"
  warps-removed: "%prefix% &aSuccesso! Il warp di &d%player%&a è stato rimosso!"
  warp-locked: "%prefix% &aBloccato con successo il warp &d%warp%&a!"
  warp-unlocked: "%prefix% &aSbloccato con successo il warp &d%warp%&a!"
  warp-cost-set: "%prefix% &aIlmpostato con successo al warp il costo di &d$%cost%&a!"
  warp-cost-removed: "%prefix% &aRimosso con successo il costo del warp!"
  successfully-reset-warp: "%prefix% &aResettata con successo la locazione del warp!"
  successfully-renamed-warp: "%prefix% &aRinominato con successo il warp &d%warp%&a!"
  successfully-setowner: "%prefix% &aImpostato con successo il proprietario &d%owner%&a al warp!"
  successfully-banned: "%prefix% &aBannato con successo &d%player%&a da &d%warp%&a!"
  removed-manager: "%prefix% &aRimosso con successo &d%player%&a come manager del warp &d%warp_display%&a!"
  added-manager: "%prefix% &aAggiunto con successo &d%player%&a come manager del warp &d%warp_display%&a!"
  successfully-unbanned: "%prefix% &aSbannato con successo &d%player%&a da &d%warp%&a!"
  successfully-whitelisted: "%prefix% &aAggiunto con successo &d%player%&a alla lista bianca del warp &d%warp%&a!"
  whitelist-not-enabled: "%prefix% &cWarning, the whitelist is not enabled for &d%warp_display%&c, if you wish to actually enable it do /pwarp whitelist enable %warp_display%!"
  successfully-disabled-whitelist: "%prefix% &aSuccessfully disabled the whitelist for &d%warp_display%&a!"
  successfully-enabled-whitelist: "%prefix% &aSuccessfully enabled the whitelist for &d%warp_display%&a!"
  successfully-unwhitelisted: "%prefix% &aRimosso con successo &d%player%&a dalla lista bianca del warp &d%warp%&a!"
  new-owner: "%prefix% &d%player%&a ti ha appena nominato proprietario di &d%warp%&a!"
  pass-set-success: "%prefix% &aImpostata con successo la passwrod al warp &d%warp%&a!"
  pass-remove-success: "%prefix% &aRimossa con successo la password al warp &d%warp%&a!"
  require-password: "%prefix% &cQuesto warp richiede una password per teletrasportarsi, per favore inserisci la password!"
  rent: "%prefix% &aHai pagato con successo l'affitto del warp &d%warp%&a!"
  rent-reminder: "%prefix% &cQuesto è un promemoria che dovrai pagare l'affitto per il tuo warp %warp% tra %time%."
  banned-list: "%prefix% &bGiocatori bannati: &d%list%"
  managers-list: "%prefix% &bManagers: &d%list%"
  category-list: "%prefix% &bCategories: &d%list%"
  whitelisted-list: "%prefix% &bGiocatori in lista bianca: &d%list%"
  rate-notify: "%prefix% &d%player%&a ha votato il tuo warp &d%warp% con %rate%&a stelle!"
  favourite-warp: "%prefix% &aAggiunto con successo il warp &d%warp%&a alla tua lista dei preferiti!"
  unfavourite-warp: "%prefix% &aRimosso con successo il warp &d%warp%&a dalla tua lista dei preferiti!"
  sponsored-warp: "%prefix% &aHai acquistato con successo quello slot sponsor!"
  current-amount-of-warps:
  - "%prefix% &7&l&m----------&7&l[ &b&lWarps&7&l ]&m----------"
  - "%prefix% &bAttualmente hai un massimo di &d%warpsmax%&b (&d%staticwarps% statici&b) warps."
  - "%prefix% &bAttualmente hai usato &d%warpsused%&b warps."
  - "%prefix% &7&l&m----------&7&l[ &b&lWarps&7&l ]&m----------"
  current-amount-of-warps-other:
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  - "%prefix% &d%player%&b hai un massimo di &d%warpsmax%&b (&d%staticwarps% statici&b) warps."
  - "%prefix% &d%player%&b hai usato &d%warpsused%&b warps."
  - "%prefix% &7&l&m----------&7&l[ &b&lPlayer Warps &7&l]&m----------"
  amount-warps-others-alert: "&c%player% is currently offline, only showing their maximum warps as a static amount."
  locked-gui: "&c&lBloccato"
  unlocked-gui: "&a&lSbloccato"
  no-password-gui: "&a&lNo Password"
  has-password-gui: "&c&lHas Password"
  offline-title: "%prefix% &bMentre eri offline.."
  sent-setowner: "%prefix% &aInviata con successo una richiesta di diventare proprietario a &d%player%&a per il warp &d%warp%&a!\n%prefix% &aPer cancellare la richiesta digita &d/pwarp setowner cancel %warp%&a!"
  received-setowner: "%prefix% &aHai ricevuto la proprietà da &d%player%&a per il warp &d%warp%&a!\n%prefix% &aPer favore digita &d/pwarp setowner accept %warp%&a per accettare."
  cancelled-setowner: "%prefix% &aHai cancellato con successo la richiesta di diventare proprietario a &d%player%&a!"
  sent-expired-setowner: "%prefix% &cLa tua richiesta che hai mandato a %player% per %warp% è scaduta."
  received-expired-setowner: "%prefix% &cLa richiesta per il warp %warp% da %player% è scaduta."
  dbexec-successful: "%prefix% &aSuccessfully updated &d%count%&a rows. &aPlease execute &d/%cmd% reload&a to update changes."
  removed-rating: "%prefix% &aSuccessfully removed rating for &d%warp_display%&a!"
  warp-info: "%prefix% &bWarp Information for &d%warp_display%&b:\n%prefix% &bOwner: &d%owner%\n%prefix% &bLocation: &d%world%, %location%\n%prefix% &bVisits: &d%visits%\n%prefix% &bDescription:\n%prefix% &d%desc%\n%prefix% &bTime Created: &d%date%\n%prefix% &bCategory: &d%category%\n%prefix% &bRates: &d%rates%\n%prefix% &bRates Average: &d%rates_average% &7(&e%rates_stars%&7)\n%prefix% &bTeleport Cost: &d%cost%"
  refunded-currency: "%prefix% &aYou have been refunded."
  
  help-player:
  - "%prefix% &7&l&m----------&7&l[ &b&lWarps&7&l ]&m----------"
  - "%prefix% &d/%cmd% help &7&l- &bVisualizza questo menu."
  - "%prefix% &d/%cmd% <warp> &7&l- &bTeletrasportati al warp del giocatore."
  - "%prefix% &d/%cmd% set <name> &7&l- &bImposta un warp nella tua posizione."
  - "%prefix% &d/%cmd% remove <warp> &7&l- &bRimuovi il warp."
  - "%prefix% &d/%cmd% removeall <player> &7&l- &bRimuove tutti i warp del giocatore."
  - "%prefix% &d/%cmd% desc set/remove <warp> <desc> &7&l- &bImposta una descrizione al warp."
  - "%prefix% &d/%cmd% list [page] [player] &7&l- &bLista di tutti i warp disponibili."
  - "%prefix% &d/%cmd% open [category] [action] &7&l- &bApre la gui dei warp."
  - "%prefix% &d/%cmd% amount &7&l- &bControlla quanti warp possiedi."
  - "%prefix% &d/%cmd% reload &7&l- &bRicarica tutte le configurazioni."
  - "%prefix% &d/%cmd% icon set/remove <warp> &7&l- &bImposta un icona al warp."
  - "%prefix% &d/%cmd% addwarps <player> <amount> &7&l- &bAggiungi altri warp al giocatore."
  - "%prefix% &d/%cmd% category <warp> <category> &7&l- &bImposta la categoria del warp."
  - "%prefix% &d/%cmd% rate <warp> <0-5> &7&l- &bVota un warp."
  - "%prefix% &d/%cmd% ban set/remove/list <warp> [player] &7&l- &bGiocatori bannati."
  - "%prefix% &d/%cmd% reset <warp> &7&l- &bResetta la postizione del warp."
  - "%prefix% &d/%cmd% rename <warp> <name> &7&l- &bRinomina un warp."
  - "%prefix% &d/%cmd% setowner <warp> <player> &7&l- &bTrasferisci la proprietà del warp."
  - "%prefix% &d/%cmd% favourite <warp> &7&l- &bWarps preferiti."
  - "%prefix% &7&l&m----------&7&l[ &b&lWarps&7&l ]&m----------"

  help-console:
  - "%prefix% &7&l&m----------&7&l[ &b&lWarps&7&l ]&m----------"
  - "%prefix% &d/%cmd% help &7&l- &bVisualizza questo menu."
  - "%prefix% &d/%cmd% open [category] [action] &7&l- &bApre la gui dei warp."
  - "%prefix% &d/%cmd% remove <warp> &7&l- &bRimuovi il warp."
  - "%prefix% &d/%cmd% list [page] [player] &7&l- &bLista di tutti i warp disponibili."
  - "%prefix% &d/%cmd% reload &7&l- &bRicarica tutte le configurazioni."
  - "%prefix% &d/%cmd% addwarps <player> <amount> &7&l- &bAggiungi altri warp al giocatore."
  - "%prefix% &d/%cmd% category <warp> <category> &7&l- &bImposta la categoria del warp."
  - "%prefix% &d/%cmd% removeall <player> &7&l- &bRimuove tutti i warp del giocatore."
  - "%prefix% &d/%cmd% setowner <warp> <player> &7&l- &bTrasferisci la proprietà del warp."
  - "%prefix% &7&l&m----------&7&l[ &b&lWarps&7&l ]&m----------"

  errors:
    command-syntax: "%prefix% &cSintassi non corretta, usa:\n%syntax%"
    player-only: "%prefix% &cDevi essere un giocatore!"
    console-only: "%prefix% &CThis command can only be executed from console!"
    name-too-long-set: "%prefix% &cNon puoi avere un nome warp più lungo di &4%max%&c caratteri!"
    desc-too-long-set: "%prefix% &cNon puoi avere una descrizione del warp più lunga di &4%max%&c caratteri!"
    rate-too-long-set: "%prefix% &cYou cannot have a rate longer than &4%max%&c characters!"
    pass-too-long-set: "%prefix% &cNon puoi avere una password più lunga di &4%max%&c caratteri!"
    reason-too-long-set: "%prefix% &cYou cannot have a ban reason longer than &4%max%&c characters!"
    name-too-short-set: "%prefix% &cNon puoi avere un nome warp più short &4%min%&c caratteri!"
    desc-too-short-set: "%prefix% &cNon puoi avere una descrizione del warp più short &4%min%&c caratteri!"
    rate-too-short-set: "%prefix% &cYou cannot have a rate shorter than &4%min%&c characters!"
    pass-too-short-set: "%prefix% &cNon puoi avere una password più short &4%min%&c caratteri!"
    reason-too-short-set: "%prefix% &cYou cannot have a ban reason shorter than &4%min%&c characters!"
    rate-too-big: "%prefix% &cNon puoi votare con più di &45&c stelle!"
    already-rated: "%prefix% &cYou have already rated this warp!"
    not-a-number: "%prefix% &cQuesto non è un numero!"
    no-page: "%prefix% &cThat page does not exist!"
    invalid-name-set: "%prefix% &cNon puoi impostare al giocatore un warp chiamato &4%name%&c!"
    invalid-desc-set: "%prefix% &cYou cannot set a description as &4%desc%&c!"
    name-taken-set: "%prefix% &cQuel nome warp è già esistente!"
    valid-name-set: "%prefix% &cPer favore inserisci un nome valido!"
    warp-dont-own: "%prefix% &cNon possiedi questo warp!"
    warp-dont-exist: "%prefix% &cQuesto warp non esiste!"
    invalid-warp: "%prefix% &cQuesto warp non è valido."
    no-permission: "%prefix% &cNon hai il permesso &4%permission%&c per questo! %reason%"
    too-many-warps-set: "%prefix% &cNon puoi impostare così tanti warps, puoi impostarne soltanto &4%amount%&c a causa delle tue autorizzazioni!"
    limit-setowner: "%prefix% &cImpossibile trasferire il warp %warp% perchè il giocatore possiede già troppi warps!"
    already-setowner: "%prefix% &cHai già una richiesta in sospeso per il warp %warp%"
    not-setowner: "%prefix% &cNon hai una richiesta per cedere la proprietà del warp!"
    warp-not-safe: "%prefix% &cQuesto warp non è sicuro. Digita nuovamente il comando per andarci lo stesso."
    money-not-enough-teleport: "%prefix% &cNon hai $%price% per teletrasportarti in questo warp!"
    money-not-enough-reset: "%prefix% &cNon hai $%price% per resettare il warp!"
    money-not-enough-rename: "%prefix% &cNon hai $%price% per rinominare il warp!"
    money-not-enough-set: "%prefix% &cNon hai $%price% per impostare questo warp!"
    money-not-enough-sponsor: "%prefix% &cNon hai $%price% per sponsorizzare il warp!"
    moved-while-teleporting: "%prefix% &cAnnullato. Ti sei mosso!"
    desc-no-desc-gui: "&cNone"
    desc-no-desc: "%prefix% &c%warp% non ha una descrizione!"
    cost-no-cost: "%prefix% &c%warp% non ha un costo!"
    pass-no-pass: "%prefix% &c%warp% non ha una password!"
    disabled-world-set: "%prefix% &cNon puoi impostare un warp in questo mondo!"
    disabled-world-teleport: "%prefix% &cYou cannot teleport to warps in this world!"
    player-offline: "%prefix% &cIl giocatore è offline!"
    invalid-item: "%prefix% &cQuesto non è un elemento valido per impostare un icona."
    invalid-category: "%prefix% &cQuella categoria non è valida"
    warp-already-in-category: "%prefix% &cThat warp is already in that category!"
    warp-not-in-category: "%prefix% &cThat warp is not in that category!"
    no-player-joined: "%prefix% &cQuel giocatore non esiste!"
    set-cooldown: "%prefix% &cAl momento hai un tempo di recupero per impostare i warp! (%cooldown% mancanti)"
    rate-cooldown: "%prefix% &cAl momento hai un tempo di recupero per votare un warp! (%cooldown% mancanti)"
    teleport-cooldown: "%prefix% &cAl momento hai un tempo di recupero per il teletrasporto! (%cooldown% mancanti)"
    teleport-warp-locked: "%prefix% &cQuesto warp è attualmente bloccato!"
    rate-own-warp: "%prefix% &cNon puoi votare il tuo stesso warp!"
    rate-condition: "%prefix% &cYou do not meet the requirements for rating this warp!"
    already-owner: "%prefix% &cSei già il proprietario di questo warp!"
    already-teleporting: "%prefix% &cTi stai già teletrasportando in un warp!"
    wrong-password: "%prefix% &cLa password non è corretta!"
    not-whitelisted: "%prefix% &cSpiacenti, il proprietario non ti ha inserito nella whitelist."
    not-same-world: "%prefix% &cNon puoi teletrasportarti in questo warp!"
    rent: "%prefix% &cNon puoi pagare il warp %warp%, quindi verrà rimosso!"
    banned: "%prefix% &cSpiacenti, il proprietario ti ha bannato"
    owner-ban: "%prefix% &cNon puoi bannare te stesso!"
    already-banned: "%prefix% &cQuel giocatore è già bannato!"
    already-manager: "%prefix% &cQuel giocatore è già un manager!"
    not-banned: "%prefix% &cQuel giocatore non è bannato!"
    not-manager: "%prefix% &cQuel giocatore non è un manager!"
    max-cost: "%prefix% &cSiamo spiacenti, il costo massimo che puoi impostare è %max%!"
    min-cost: "%prefix% &cSiamo spiacenti, il costo minimo che puoi impostare è %min%!"
    already-whitelisted: "%prefix% &cQuel giocatore è già in lista bianca!"
    already-sponsored: "%prefix% &cHai già sponsorizzato questo warp!"
    max-sponsors: "%prefix% &cHai il limite di 1 sponsor!"
    change-location-sign: "%prefix% &cNon puoi cambiare la posizione del cartello del warp"
    dbexec-failed: "%prefix% &cThere was an error executing this query. %error%"
    already-sponsored-other: "%prefix% &cSomeone has already purchased this sponsor slot!"
    warp-max-categories: "%prefix% &cYou cannot have more than %max% categories!"
    sponsor-cooldown: "%prefix% &cYou cannot sponsor this warp for another %time%!"
    sponsor-restricted-category: "%prefix% &cYou cannot sponsor this warp in this slot. It is restricted to specific categories!"

# Here you can specify different types of messages per no-permission message, using the specific permission node.
# Or you may set it to blank to not send a message at all.
# no-permission:
#   pw.warp: "You do not have permission to warp!"

n/a:
  no-prefix: "N/A"
  no-suffix: "N/A"
  no-server: "N/A"
  no-password: "N/A"
  no-user: "N/A"
  no-ban-reason: "N/A"
  no-time: "Forever"
  no-payer: "N/A"
  no-warp: "N/A"
  no-category: "N/A"
  no-managers: "N/A"
  no-displayname: "%player%"
